## org.biojava.bio.structure.io.mmcif.model
Class Struct

    java.lang.Object
      org.biojava.bio.structure.io.mmcif.model.Struct

    public class Struct

extends Object

a bean to contain the data of the _struct lines

Author:
  Andreas Prlic

Constructor Summary
`Struct()`

Method Summary
`String` `getEntry_id()`
`String` `getPdbx_descriptor()`
`String` `getPdbx_model_details()`
`String` `getPdbx_model_type_details()`
`String` `getTitle()`
`void` `setEntry_id(String entry_id)`
`void` `setPdbx_descriptor(String pdbx_descriptor)`
`void` `setPdbx_model_details(String pdbx_model_details)`
`void` `setPdbx_model_type_details(String pdbx_model_type_details)`
`void` `setTitle(String title)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Struct

    public Struct()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getEntry_id

    public String getEntry_id()

### setEntry_id

    public void setEntry_id(String entry_id)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getPdbx_descriptor

    public String getPdbx_descriptor()

### setPdbx_descriptor

    public void setPdbx_descriptor(String pdbx_descriptor)

### getPdbx_model_details

    public String getPdbx_model_details()

### setPdbx_model_details

    public void setPdbx_model_details(String pdbx_model_details)

### getPdbx_model_type_details

    public String getPdbx_model_type_details()

### setPdbx_model_type_details

    public void setPdbx_model_type_details(String pdbx_model_type_details)